summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Thomas Morper2010-04-08 05:36:08 +0200
committer Robby Workman2010-05-15 10:24:27 +0200
commit860ebadf935f055d3132cc4c77d007052c3a190b (patch)
tree968c9033ec7ad21b192c4523b13fcdd629ea24f3
parentffd97168269b59ebcd2b1697cbeedc8fa1329cec (diff)
downloadslackbuilds-860ebadf935f055d3132cc4c77d007052c3a190b.tar.gz
network/exim-html: Added - html docs for exim.
-rw-r--r--network/exim-html/README5
-rwxr-xr-xnetwork/exim-html/exim-html.SlackBuild41
-rw-r--r--network/exim-html/exim-html.info10
-rw-r--r--network/exim-html/slack-desc19
4 files changed, 75 insertions, 0 deletions
diff --git a/network/exim-html/README b/network/exim-html/README
new file mode 100644
index 0000000000..24dc59a0e8
--- /dev/null
+++ b/network/exim-html/README
@@ -0,0 +1,5 @@
+Exim is a mail transfer agent (MTA) used on Unix-like operating systems.
+It is freely available under the GNU GPL and it aims to be a general
+and flexible mailer with extensive facilities for checking incoming e-mail.
+
+This package contains the full documentation in HTML format.
diff --git a/network/exim-html/exim-html.SlackBuild b/network/exim-html/exim-html.SlackBuild
new file mode 100755
index 0000000000..e811cd2bd6
--- /dev/null
+++ b/network/exim-html/exim-html.SlackBuild
@@ -0,0 +1,41 @@
+#!/bin/sh
+
+# Slackware build script for the Exim HTML Documentation
+
+# Written by Thomas Morper <thomas@beingboiled.info>
+
+PRGNAM=exim-html
+VERSION=${VERSION:-4.71}
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/doc
+cp -a doc/html $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/exim-html/exim-html.info b/network/exim-html/exim-html.info
new file mode 100644
index 0000000000..1f448d0ded
--- /dev/null
+++ b/network/exim-html/exim-html.info
@@ -0,0 +1,10 @@
+PRGNAM="exim-html"
+VERSION="4.71"
+HOMEPAGE="http://www.exim.org/"
+DOWNLOAD="ftp://ftp.exim.org/pub/exim/exim4/exim-html-4.71.tar.bz2"
+MD5SUM="482dfebdc4502dfce1eeb8b1749b75c3"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Thomas Morper"
+EMAIL="thomas@beingboiled.info"
+APPROVED="rworkman"
diff --git a/network/exim-html/slack-desc b/network/exim-html/slack-desc
new file mode 100644
index 0000000000..d975044111
--- /dev/null
+++ b/network/exim-html/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+exim-html: exim-html (HTML-documentation for Exim)
+exim-html:
+exim-html: Exim is a mail transfer agent (MTA) used on Unix-like operating
+exim-html: systems. It is freely available under the GNU GPL and it aims to be a
+exim-html: general and flexible mailer with extensive facilities for checking
+exim-html: incoming e-mail.
+exim-html:
+exim-html: This is the full documentation for Exim in HTML format.
+exim-html:
+exim-html: Homepage: http://www.exim.org/
+exim-html: